GET api/departmentapi/department/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"contract_id": "738c58b4-eff0-4f55-bee3-418639fae979",
"delay_between_scans": 1,
"id": "6aaa1dbe-215b-4860-a871-5283444e7d5c",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "3c2dccb5-e0b8-4e40-a54f-4553332b39f9",
"selected_sticker_id": "ffcbe6f4-7c1c-4989-88a9-210a312e1210"
}
application/xml, text/xml
Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <contract_id>738c58b4-eff0-4f55-bee3-418639fae979</contract_id> <delay_between_scans>1</delay_between_scans> <id>6aaa1dbe-215b-4860-a871-5283444e7d5c</id> <item_wash_max>1</item_wash_max> <name>sample string 5</name> <remark>sample string 6</remark> <selected_nameplate_id>3c2dccb5-e0b8-4e40-a54f-4553332b39f9</selected_nameplate_id> <selected_sticker_id>ffcbe6f4-7c1c-4989-88a9-210a312e1210</selected_sticker_id> </department>